{
    "compilerOptions": {
        "module": "commonjs",
        "moduleResolution": "node",
        "target": "esnext",
        "lib": [
            "esnext",
            "dom"
        ],
        "noImplicitAny": true,
        "noImplicitReturns": true,
        "noImplicitThis": true,
        "noUnusedLocals": false,
        "noUnusedParameters": false,
        "allowUnreachableCode": false,
        "strictFunctionTypes": true,
        "removeComments": false,
        "preserveConstEnums": true,
        "strictNullChecks": false,
        "pretty": true,
        "noFallthroughCasesInSwitch": true,
        "strict": true,
        "experimentalDecorators": true,
        "sourceMap": false,
        "outDir": "dist",
        "typeRoots": [
            "src/typings",
            "./node_modules/@types"
        ]
    },
    "include": [
        "src/typings/**/*.d.ts",
        "src/**/*.ts", "cli.ts"
    ],
    "exclude": [
        "node_modules",
        "dist",
        "data",
        "public"
    ]
}
